package com.steering.mes.mcp.entity;

/**
 * Created by 朱少波 on 2019/6/29.
 */
public class YdmHttInitialEntity implements java.io.Serializable {
    public String getInitialId() {
        return initialId;
    }

    public void setInitialId(String initialId) {
        this.initialId = initialId;
    }

    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getProduccode() {
        return produccode;
    }

    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    public String getProducname() {
        return producname;
    }

    public void setProducname(String producname) {
        this.producname = producname;
    }

    public String getSteelcode() {
        return steelcode;
    }

    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    public String getSteelname() {
        return steelname;
    }

    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    public String getSpecCode() {
        return specCode;
    }

    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    public String getSpecName() {
        return specName;
    }

    public void setSpecName(String specName) {
        this.specName = specName;
    }

    public String getModelCode() {
        return modelCode;
    }

    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    public String getModelDesc() {
        return modelDesc;
    }

    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    public String getStdCode() {
        return stdCode;
    }

    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    public String getStdName() {
        return stdName;
    }

    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    public String getStdStyle() {
        return stdStyle;
    }

    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    public String getDimater() {
        return dimater;
    }

    public void setDimater(String dimater) {
        this.dimater = dimater;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public String getLen() {
        return len;
    }

    public void setLen(String len) {
        this.len = len;
    }

    public String getLenMin() {
        return lenMin;
    }

    public void setLenMin(String lenMin) {
        this.lenMin = lenMin;
    }

    public String getLenMax() {
        return lenMax;
    }

    public void setLenMax(String lenMax) {
        this.lenMax = lenMax;
    }

    public String getActCount() {
        return actCount;
    }

    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    public String getActWeight() {
        return actWeight;
    }

    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    public String getProOrderNo() {
        return proOrderNo;
    }

    public void setProOrderNo(String proOrderNo) {
        this.proOrderNo = proOrderNo;
    }

    public String getProOrderId() {
        return proOrderId;
    }

    public void setProOrderId(String proOrderId) {
        this.proOrderId = proOrderId;
    }

    public String getOrdPk() {
        return ordPk;
    }

    public void setOrdPk(String ordPk) {
        this.ordPk = ordPk;
    }

    public String getOrdLnPk() {
        return ordLnPk;
    }

    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getOrderSeq() {
        return orderSeq;
    }

    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    public String getOrderSeqNo() {
        return orderSeqNo;
    }

    public void setOrderSeqNo(String orderSeqNo) {
        this.orderSeqNo = orderSeqNo;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getOriginalDate() {
        return originalDate;
    }

    public void setOriginalDate(String originalDate) {
        this.originalDate = originalDate;
    }

    public String getBalYearMonth() {
        return balYearMonth;
    }

    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    public String getGradecode() {
        return gradecode;
    }

    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    public String getGradename() {
        return gradename;
    }

    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    public String getPlineCode() {
        return plineCode;
    }

    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    public String getPlineName() {
        return plineName;
    }

    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    public String getHandleLog() {
        return handleLog;
    }

    public void setHandleLog(String handleLog) {
        this.handleLog = handleLog;
    }

    public String getLotNo() {
        return lotNo;
    }

    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    public String getStoveNo() {
        return stoveNo;
    }

    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    public String getFinalUserDesc() {
        return finalUserDesc;
    }

    public void setFinalUserDesc(String finalUserDesc) {
        this.finalUserDesc = finalUserDesc;
    }

    public String getWatingDecisionMemo() {
        return watingDecisionMemo;
    }

    public void setWatingDecisionMemo(String watingDecisionMemo) {
        this.watingDecisionMemo = watingDecisionMemo;
    }

    public String getSourceNum0() {
        return sourceNum0;
    }

    public void setSourceNum0(String sourceNum0) {
        this.sourceNum0 = sourceNum0;
    }

    public String getSourceNum1() {
        return sourceNum1;
    }

    public void setSourceNum1(String sourceNum1) {
        this.sourceNum1 = sourceNum1;
    }

    public String getSourceNum2() {
        return sourceNum2;
    }

    public void setSourceNum2(String sourceNum2) {
        this.sourceNum2 = sourceNum2;
    }

    public String getSourceNumTotal() {
        return sourceNumTotal;
    }

    public void setSourceNumTotal(String sourceNumTotal) {
        this.sourceNumTotal = sourceNumTotal;
    }

    public String getSourceNumTotal2() {
        return sourceNumTotal2;
    }

    public void setSourceNumTotal2(String sourceNumTotal2) {
        this.sourceNumTotal2 = sourceNumTotal2;
    }

    public String getGroupNum() {
        return groupNum;
    }

    public void setGroupNum(String groupNum) {
        this.groupNum = groupNum;
    }

    public String getFailNum() {
        return failNum;
    }

    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    public String getCouplingNum() {
        return couplingNum;
    }

    public void setCouplingNum(String couplingNum) {
        this.couplingNum = couplingNum;
    }

    public String getJudgeNum() {
        return judgeNum;
    }

    public void setJudgeNum(String judgeNum) {
        this.judgeNum = judgeNum;
    }

    public String getEndNum() {
        return endNum;
    }

    public void setEndNum(String endNum) {
        this.endNum = endNum;
    }

    public String getConsumptionNum() {
        return consumptionNum;
    }

    public void setConsumptionNum(String consumptionNum) {
        this.consumptionNum = consumptionNum;
    }

    public String getSourceWt0() {
        return sourceWt0;
    }

    public void setSourceWt0(String sourceWt0) {
        this.sourceWt0 = sourceWt0;
    }

    public String getSourceWt1() {
        return sourceWt1;
    }

    public void setSourceWt1(String sourceWt1) {
        this.sourceWt1 = sourceWt1;
    }

    public String getSourceWt2() {
        return sourceWt2;
    }

    public void setSourceWt2(String sourceWt2) {
        this.sourceWt2 = sourceWt2;
    }

    public String getSourceWtTotal() {
        return sourceWtTotal;
    }

    public void setSourceWtTotal(String sourceWtTotal) {
        this.sourceWtTotal = sourceWtTotal;
    }

    public String getSourceWtTotal2() {
        return sourceWtTotal2;
    }

    public void setSourceWtTotal2(String sourceWtTotal2) {
        this.sourceWtTotal2 = sourceWtTotal2;
    }

    public String getGroupWt() {
        return groupWt;
    }

    public void setGroupWt(String groupWt) {
        this.groupWt = groupWt;
    }

    public String getFailWt() {
        return failWt;
    }

    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }

    public String getCouplingWt() {
        return couplingWt;
    }

    public void setCouplingWt(String couplingWt) {
        this.couplingWt = couplingWt;
    }

    public String getJudgeWt() {
        return judgeWt;
    }

    public void setJudgeWt(String judgeWt) {
        this.judgeWt = judgeWt;
    }

    public String getEndWt() {
        return endWt;
    }

    public void setEndWt(String endWt) {
        this.endWt = endWt;
    }

    public String getConsumptionWt() {
        return consumptionWt;
    }

    public void setConsumptionWt(String consumptionWt) {
        this.consumptionWt = consumptionWt;
    }


    /// <summary>
    /// ID_
    /// </summary>
    private String initialId = "";
    /// <summary>
    /// 炉号
    /// </summary>
    private String judgeStoveNo = "";
    /// <summary>
    /// 批号
    /// </summary>
    private String batchNo = "";
    /// <summary>
    /// 组号(长度分组)
    /// </summary>
    private String batchGroudNo = "";
    /// <summary>
    /// 物料码
    /// </summary>
    private String materialNo = "";
    /// <summary>
    /// 物料描叙
    /// </summary>
    private String materialName = "";
    /// <summary>
    /// 品名代码
    /// </summary>
    private String produccode = "";
    /// <summary>
    /// 品名描述
    /// </summary>
    private String producname = "";
    /// <summary>
    /// 钢级(牌号)代码
    /// </summary>
    private String steelcode = "";
    /// <summary>
    /// 钢级(牌号)名称
    /// </summary>
    private String steelname = "";
    /// <summary>
    /// 产品规格代码
    /// </summary>
    private String specCode = "";
    /// <summary>
    /// 产品规格描述
    /// </summary>
    private String specName = "";
    /// <summary>
    /// 扣型代码
    /// </summary>
    private String modelCode = "";
    /// <summary>
    /// 扣型描述
    /// </summary>
    private String modelDesc = "";
    /// <summary>
    /// 标准代码
    /// </summary>
    private String stdCode = "";
    /// <summary>
    /// 标准名称
    /// </summary>
    private String stdName = "";
    /// <summary>
    /// 标准类别代码
    /// </summary>
    private String stdStyle = "";
    /// <summary>
    /// 标准类别描述(PSL1....)
    /// </summary>
    private String stdStyleDesc = "";
    /// <summary>
    /// 外径
    /// </summary>
    private String dimater  = "";
    /// <summary>
    /// 壁厚
    /// </summary>
    private String height  = "";
    /// <summary>
    /// 长度(实际)
    /// </summary>
    private String len  = "";
    /// <summary>
    /// 长度下限
    /// </summary>
    private String lenMin  = "";
    /// <summary>
    /// 长度上限
    /// </summary>
    private String lenMax  = "";
    /// <summary>
    /// 材料支数(实际)
    /// </summary>
    private String actCount  = "";
    /// <summary>
    /// 材料实重(实际)
    /// </summary>
    private String actWeight  = "";
    /// <summary>
    /// 生产合同号
    /// </summary>
    private String proOrderNo = "";
    /// <summary>
    /// 生产订单号
    /// </summary>
    private String proOrderId = "";
    /// <summary>
    /// 合同主键
    /// </summary>
    private String ordPk = "";
    /// <summary>
    /// 合同行主键
    /// </summary>
    private String ordLnPk = "";
    /// <summary>
    /// 交货行主键
    /// </summary>
    private String ordLnDlyPk = "";
    /// <summary>
    /// 合同号
    /// </summary>
    private String orderNo = "";
    /// <summary>
    /// 合同行号
    /// </summary>
    private String orderSeq = "";
    /// <summary>
    /// 交货行号
    /// </summary>
    private String orderSeqNo = "";
    /// <summary>
    /// 备注
    /// </summary>
    private String memo = "";
    /// <summary>
    /// 创建人
    /// </summary>
    private String createName = "";
    /// <summary>
    /// 创建时间
    /// </summary>
    private String createTime = "";
    /// <summary>
    /// 期初日期(YYYYMMDD)
    /// </summary>
    private String originalDate = "";
    /// <summary>
    /// 结算日期（年月）
    /// </summary>
    private String balYearMonth = "";
    /// <summary>
    /// 钢种代码
    /// </summary>
    private String gradecode = "";
    /// <summary>
    /// 钢种名称
    /// </summary>
    private String gradename = "";
    /// <summary>
    /// 产线代码
    /// </summary>
    private String plineCode = "";
    /// <summary>
    /// 产线名称
    /// </summary>
    private String plineName = "";
    /// <summary>
    /// 结转处理标志(0未处理、1已处理)
    /// </summary>
    private String handleLog = "";
    /// <summary>
    /// 生产批号
    /// </summary>
    private String lotNo = "";
    /// <summary>
    /// 熔炼炉号
    /// </summary>
    private String stoveNo = "";
    /// <summary>
    /// 合同用户（最终用户/客户名）
    /// </summary>
    private String finalUserDesc = "";


    private String watingDecisionMemo ="";


    private String sourceNum0 = "";


    private String sourceNum1 ="";


    private String sourceNum2 = "";

    private String sourceNumTotal = "";

    private String sourceNumTotal2 = "";

    private String groupNum = "";

    private String failNum = "";

    private String couplingNum = "";

    private String judgeNum = "";

    private String endNum = "";

    private String consumptionNum = "";



    private String sourceWt0 = "";


    private String sourceWt1 ="";


    private String sourceWt2 = "";

    private String sourceWtTotal = "";

    private String sourceWtTotal2 = "";

    private String groupWt = "";

    private String failWt = "";

    private String couplingWt = "";

    private String judgeWt = "";

    private String endWt = "";

    private String consumptionWt = "";


    public String getOutnumCut() {
        return outnumCut;
    }

    public void setOutnumCut(String outnumCut) {
        this.outnumCut = outnumCut;
    }

    private String outnumCut = "";


}
